Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  trait Transform extends SubComponent

  A base class for transforms.

  A base class for transforms.

  A transform contains a compiler phase which applies a tree transformer.

  Definition Classes
    transform
  Version

    1.0

- Phase
- StdPhase

c

scala.tools.nsc.transform.Transform

# Phase 

###

#### class Phase extends StdPhase

The phase defined by this transform

Source
  Transform.scala

Linear Supertypes
Transform.StdPhase, GlobalPhase, reflect.internal.Phase, AnyRef, Any
Known Subclasses
Phase, Phase, SpecializationPhase
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Phase
2. StdPhase
3. GlobalPhase
4. Phase
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Phase(prev: nsc.Phase)

### Type Members

1.  type Id = Int
   Definition Classes
     Phase

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Phase to any2stringadd[Phase] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Phase, B)
   Implicit
     This member is added by an implicit conversion from Phase to ArrowAssoc[Phase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply(unit: Global.CompilationUnit): Unit
   Definition Classes
     Phase → GlobalPhase
7.  final def applyPhase(unit: Global.CompilationUnit): Unit
   Definition Classes
     GlobalPhase
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  final val assignsFields: Boolean
   Definition Classes
     Phase
10.  def cancelled(unit: Global.CompilationUnit): Boolean

    Is current phase cancelled on this unit?

    Is current phase cancelled on this unit?

    Definition Classes
      GlobalPhase
11.  def checkable: Boolean
    Definition Classes
      Phase
12.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
13.  def description: String
    Definition Classes
      Phase
14.  def ensuring(cond: (Phase) ⇒ Boolean, msg: ⇒ Any): Phase
    Implicit
      This member is added by an implicit conversion from Phase to Ensuring[Phase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (Phase) ⇒ Boolean): Phase
    Implicit
      This member is added by an implicit conversion from Phase to Ensuring[Phase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: ⇒ Any): Phase
    Implicit
      This member is added by an implicit conversion from Phase to Ensuring[Phase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): Phase
    Implicit
      This member is added by an implicit conversion from Phase to Ensuring[Phase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(other: Any): Boolean
    Definition Classes
      Phase → AnyRef → Any
20.  def erasedTypes: Boolean
    Definition Classes
      Phase
21.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
22.  def flagMask: Long
    Definition Classes
      Phase
23.  final val flatClasses: Boolean
    Definition Classes
      Phase
24.  val fmask: Long
    Definition Classes
      Phase
25.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Phase to StringFormat[Phase] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
26.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
27.  def hasNext: Boolean
    Definition Classes
      Phase
28.  def hashCode(): Int
    Definition Classes
      Phase → AnyRef → Any
29.  val id: Id
    Definition Classes
      Phase
30.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
31.  def iterator: collection.Iterator[reflect.internal.Phase]
    Definition Classes
      Phase
32.  def keepsTypeParams: Boolean
    Definition Classes
      Phase
33.  def name: String
    Definition Classes
      StdPhase → Phase
34.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
35.  def newFlags: Long
    Definition Classes
      StdPhase → Phase
36.  def next: reflect.internal.Phase
    Definition Classes
      Phase
37.  def nextFlags: Long
    Definition Classes
      StdPhase → Phase
38.  final def notify(): Unit
    Definition Classes
      AnyRef
39.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
40.  val prev: reflect.internal.Phase
    Definition Classes
      Phase
41.  final val refChecked: Boolean
    Definition Classes
      Phase
42.  def run(): Unit
    Definition Classes
      GlobalPhase → Phase
43.  final val specialized: Boolean
    Definition Classes
      Phase
44.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
45.  def toString(): String
    Definition Classes
      Phase → AnyRef → Any
46.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
47.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
48.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
49.  final def withCurrentUnit(unit: Global.CompilationUnit)(task: ⇒ Unit): Unit
    Definition Classes
      GlobalPhase
50.  final def withCurrentUnitNoLog(unit: Global.CompilationUnit)(task: ⇒ Unit): Unit
    Definition Classes
      GlobalPhase
51.  def →[B](y: B): (Phase, B)
    Implicit
      This member is added by an implicit conversion from Phase to ArrowAssoc[Phase] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Transform.StdPhase

### Inherited from GlobalPhase

### Inherited from reflect.internal.Phase

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Phase to any2stringadd[Phase]

### Inherited by implicit conversion StringFormat from Phase to StringFormat[Phase]

### Inherited by implicit conversion Ensuring from Phase to Ensuring[Phase]

### Inherited by implicit conversion ArrowAssoc from Phase to ArrowAssoc[Phase]

### Ungrouped